Skip to main content
GET
/
api
/
metrics
/
values
/
{context_type}
/
{entity_uid}
List metric values
curl --request GET \
  --url https://dev.exante.app/api/metrics/values/{context_type}/{entity_uid} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "status_code": 200,
  "message": "Success",
  "data": {
    "items": [
      {
        "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "metric_uid": "total_ar",
        "metric_name": "Total AR Outstanding",
        "period_definition": "as_of_date",
        "context_type": "ORGANIZATION",
        "entity_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "time_unit": "day",
        "timezone": "America/Los_Angeles",
        "metric_date": "2026-03-15",
        "storage_unit": "raw",
        "value_type": "currency",
        "value": 350000000,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "_metadata": {}
      }
    ],
    "_meta": {
      "page": 123,
      "per_page": 123,
      "total_pages": 123,
      "total_items": 123
    }
  }
}
Lists metric values for one entity in a date range.

Optional query parameters

  • metric_uid — comma-separated metric UIDs to filter by. When omitted, returns values for all metrics.
  • time_unit (default day)
  • latest (default false) — when true, returns the most recent value per metric, ignoring start_date and end_date
  • start_date (default: 90 days ago)
  • end_date (default: today)
  • include_metadata (default false)
  • page
  • per_page
  • sort

Sorting

Default sort is -metric_date (newest first), then metric_uid ascending. Supported sort fields:
  • metric_date
  • value
  • created_at

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

context_type
enum<string>
required

Entity context type

Available options:
ORGANIZATION,
PARTY,
USER
entity_uid
string<uuid>
required

Entity UID

Query Parameters

metric_uid
string

Comma-separated metric UIDs to filter by. When omitted, returns values for all metrics.

time_unit
enum<string>
required

Time granularity

Available options:
day,
month,
year
start_date
string<date>
required

Inclusive start date

end_date
string<date>
required

Inclusive end date

include_metadata
boolean
default:false

Include _metadata in response

sort
string

Sort field. Default -metric_date. Options: metric_date, value, created_at

page
integer
default:1
Required range: x >= 1
per_page
integer
default:100
Required range: 1 <= x <= 500

Response

Paginated metric values

status
string
Example:

"success"

status_code
integer
Example:

200

message
string
Example:

"Success"

data
object